[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.SkipComponent

Skip till the end of the component.

## Declaration

Source position: classesh.inc line 1260

`public procedure TAbstractObjectReader.SkipComponent(`
`SkipComponentInfos: Boolean`
`); virtual; abstract;`

## Description

This method is used to skip the entire declaration of a component in the stream. Each descendant of TAbstractObjectReader should implement this in a way which is optimal for the implemented stream format.

## See also

TAbstractObjectReader.BeginComponent |  | Marks the reading of a new component.
TAbstractObjectReader.SkipValue |  | Skip the current value.